import { CloudProviderEnum } from "@codiac.io/codiac-domain";
import { SecretStoreDef } from "../relay/contracts";
/** A UI implementation for declaring an image registry. */
export interface ISecretStoreConfigurator {
    get cloudProvider(): CloudProviderEnum;
    captureSecretStore(/* provisioner: ISecretStoreProvisioner, */ defaults?: Partial<SecretStoreDef>): Promise<SecretStoreDef>;
}
